Bug 197185 - [MAINTAINER] databases/mariadb100-server: Update MariaDB to 10.0.16
Summary: [MAINTAINER] databases/mariadb100-server: Update MariaDB to 10.0.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-29 20:17 UTC by Bernard Spil
Modified: 2015-02-06 14:14 UTC (History)
1 user (show)

See Also:


Attachments
patch for databases/mariadb100-client (1.55 KB, patch)
2015-01-29 20:17 UTC, Bernard Spil
brnrd: maintainer-approval+
Details | Diff
Patch for databases/mariadb100-server (1.54 KB, patch)
2015-01-29 20:18 UTC, Bernard Spil
brnrd: maintainer-approval+
Details | Diff
Poudriere log of mariadb100-client 10.0.16 (348.78 KB, text/x-log)
2015-01-29 20:23 UTC, Bernard Spil
no flags Details
Poudriere log of mariadb100-server 10.0.16 (70.23 KB, application/x-gzip)
2015-01-29 20:24 UTC, Bernard Spil
no flags Details
Patch for databases/mariadb100-server (1.21 KB, patch)
2015-01-30 14:54 UTC, Bernard Spil
brnrd: maintainer-approval+
Details | Diff
patch for databases/mariadb100-server (1.43 KB, patch)
2015-01-30 15:16 UTC, Bernard Spil
brnrd: maintainer-approval+
Details | Diff
patch for databases/mariadb100-server (1.92 KB, patch)
2015-01-30 15:21 UTC, Bernard Spil
brnrd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-01-29 20:17:53 UTC
Created attachment 152349 [details]
patch for databases/mariadb100-client

Patches update MariaDB to 10.0.16
Added LICENSE
Added cpe (string does not exist in DB but is analogous to other mariadb versions)
Comment 1 Bernard Spil freebsd_committer 2015-01-29 20:18:19 UTC
Created attachment 152350 [details]
Patch for databases/mariadb100-server
Comment 2 Bernard Spil freebsd_committer 2015-01-29 20:23:33 UTC
Created attachment 152351 [details]
Poudriere log of mariadb100-client 10.0.16
Comment 3 Bernard Spil freebsd_committer 2015-01-29 20:24:11 UTC
Created attachment 152352 [details]
Poudriere log of mariadb100-server 10.0.16

2.3MB so zipped
Comment 4 Bernard Spil freebsd_committer 2015-01-30 14:54:08 UTC
Created attachment 152376 [details]
Patch for databases/mariadb100-server

Fix for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197117
Fix user has set USE_GCC=yes or USE_GCC=<version> in make.conf
Fix user selects both MROONGA and OQGRAPH
Comment 5 Bernard Spil freebsd_committer 2015-01-30 15:16:05 UTC
Created attachment 152377 [details]
patch for databases/mariadb100-server

Got sloppy with the fix for USE_GCC
Patch is now complete
Comment 6 Bernard Spil freebsd_committer 2015-01-30 15:21:18 UTC
Created attachment 152378 [details]
patch for databases/mariadb100-server

Third time's a charm
Comment 7 commit-hook freebsd_committer 2015-01-30 18:34:59 UTC
A commit references this bug:

Author: xmj
Date: Fri Jan 30 18:34:21 UTC 2015
New revision: 378181
URL: https://svnweb.freebsd.org/changeset/ports/378181

Log:
  databases/mariadb100-*: update to 10.0.16

  - update to 10.0.16
  - Add LICENSE (GPLv2)
  - Add CPE info

  PR:		197185
  Differential Revision:	https://reviews.freebsd.org/D1734
  Submitted by:	Bernard Spil <spil.oss@gmail.com> (maintainer)
  Approved by:	swills

Changes:
  head/databases/mariadb100-client/files/patch-extra_CMakeLists.txt
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb100-server/distinfo
Comment 8 John Marino freebsd_committer 2015-02-06 14:14:59 UTC
PR should have been closed a week ago...